# PlayerItemCooldownEvent (Scissors-API 1.19.3-R0.1-SNAPSHOT API)
declaration: package: io.papermc.paper.event.player, class: PlayerItemCooldownEvent

Package io.papermc.paper.event.player

# Class PlayerItemCooldownEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.player.PlayerEvent
io.papermc.paper.event.player.PlayerItemCooldownEvent

All Implemented Interfaces:
  `Cancellable`

public class PlayerItemCooldownEvent extends PlayerEvent implements Cancellable
Fired when a player receives an item cooldown.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.player.PlayerEvent

`player`

## Constructor Summary

Constructors
Constructor
Description
`PlayerItemCooldownEvent(@NotNull Player player, @NotNull Material type, int cooldown)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getCooldown()`
Gets the cooldown in ticks.
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull Material`
`getType()`
Get the material affected by the cooldown.
`boolean`
`isCancelled()`
Gets the cancellation state of this event.
`void`
`setCancelled(boolean cancel)`
Sets the cancellation state of this event.
`void`
`setCooldown(int cooldown)`
Sets the cooldown of the material in ticks.

### Methods inherited from class org.bukkit.event.player.PlayerEvent

`getPlayer`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PlayerItemCooldownEvent

public PlayerItemCooldownEvent(@NotNull @NotNull Player player, @NotNull @NotNull Material type, int cooldown)

## Method Details

### getType

@NotNull public @NotNull Material getType()
Get the material affected by the cooldown.

Returns:
  material affected by the cooldown

### getCooldown

public int getCooldown()
Gets the cooldown in ticks.

Returns:
  cooldown in ticks

### setCooldown

public void setCooldown(int cooldown)
Sets the cooldown of the material in ticks. Setting the cooldown to 0 results in removing an already existing cooldown for the material.

Parameters:
  `cooldown` - cooldown in ticks, has to be a positive number

### isCancelled

public boolean isCancelled()
Description copied from interface: `Cancellable`
Gets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins

Specified by:
  `isCancelled` in interface `Cancellable`
Returns:
  true if this event is cancelled

### setCancelled

public void setCancelled(boolean cancel)
Description copied from interface: `Cancellable`
Sets the cancellation state of this event. A cancelled event will not be executed in the server, but will still pass to other plugins.

Specified by:
  `setCancelled` in interface `Cancellable`
Parameters:
  `cancel` - true if you wish to cancel this event

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()